Delete conversation attachment

Server: https://{kibana_url}
  • DELETE /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
  • DELETE /s/{space_id}/api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}

Refer to Spaces for more information.

Delete an attachment. By default performs a soft delete (can be restored). Use permanent=true to permanently remove unreferenced attachments.

[Required authorization] Route required privileges: agentBuilder:read.

Query Parameters

permanent boolean

If true, permanently removes the attachment (only for unreferenced attachments).

Response

200

Indicates a successful response

application/json